[package]
name = "minesweeper"
version = "0.1.0"
edition = "2021"

# Enable max optimizations for dependencies, but not for our code:
[profile.dev.package."*"]
opt-level = 3

# Enable only a small amount of optimization in debug mode
[profile.dev]
opt-level = 1

[profile.release]
opt-level = "z"
strip = "symbols"
lto = "fat"
codegen-units = 1
panic = 'abort'

[profile.release.package."*"]
opt-level = "z"
strip = "symbols"
codegen-units = 1

[dependencies]
bevy = { version = "0.14.0" }
bevy_ecs_tilemap = { git = "https://github.com/StarArawn/bevy_ecs_tilemap.git" }
image = "0.25.1"
imageproc = "0.25.0"
noise = { version = "0.9.0", features = ["images"] }
rand = "0.8.5"
rand_chacha = "0.3.1"
